html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Helvetica', 'Arial', sans-serif;
    margin: 0;
}


/*Page header styling*/
#page-header {
    display: flex;
    position: absolute;
    width: 100%;
    height: 120px;
    z-index: 1;
}

#navigation, #explore-open {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 120px;
}

#navigation {
    background-color: rgba(0, 0, 0, 0.3);
    border-bottom: 2px solid rgba(255, 255, 255, 0.8);
}

#explore-open {
    display: none;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.3);
    border: none;
}

#navigation a,
#explore-open a {
    width: 110px;
    text-align: center;
    user-select: none;
    text-decoration: none;
    margin: 21px;
    padding: 18px 0;
    background-color: rgb(67, 88, 96);
    color: white;
    letter-spacing: 1px;
    font-weight: bold;
    border: 1px solid rgba(255, 255, 255, 0.5);
    border-radius: 3px;
    transition: background-color 0.5s, color 0.4s, border 0.5s;
}

#explore-open a {
    padding: 0;
    margin-top: 21px;
    height: 54px;
    width: 420px;
    font-size: 48px;
}

#navigation a:hover,
#explore-open a:hover {
    color: black;
    background-color: white;
    box-shadow: 0 0 5px white;
}

#explore-open a:hover {
    border: 1px solid rgba(0, 0, 0, 0.7);
}


/*Styling of global main page sections*/
#root {
    position: absolute;
    top: 0;
    width: 100%;
    margin: 0 auto;
    z-index: 0;
}

section {
    position: relative;
    width: 100%;
    height: 1080px;
}

h1.section-title {
    user-select: none;
    margin: 0;
    letter-spacing: 1px;
    text-align: center;
}


/*Styling of sections that will have big quotes(whole section is a quote)*/
.Big-Quote-content-wrap {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

span.bigger-text {
    font-size: 1.4em;
}


/*First (title) section styling*/
#section-1 {
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(CSS_Images/Section_1/1.jpg) no-repeat center center;
    background-size: cover;
}

#section-1-title-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 5.37%;
    width: 70%;
    border-left: 1px solid rgba(255, 255, 255, 0.9);
    border-right: 1px solid rgba(255, 255, 255, 0.9);
    background-color: rgba(0, 0, 0, 0.4);
}

#section-1-title-wrap div {
    height: 90px;
    width: 500px;
}

#section-1 h1.section-title {
    text-align: center;
    width: 100%;
    border-top: 1px solid rgba(255, 255, 255, 0.9);
    border-bottom: 1px solid rgba(255, 255, 255, 0.9);
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    font-size: 66px;
    line-height: 90px;
    letter-spacing: 2px;
}


/*Second ("Who am I?") section styling*/
#section-2 {
    background-color: rgb(245, 245, 245);
    background: url(CSS_Images/Section_2/Background/4.jpg) no-repeat center center fixed;
    background-size: cover;
}

#section-2 header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 11.8%;
}

#section-2 h1.section-title {
    width: 100%;
    margin-top: 52px;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    color: white;
    background-color: rgba(0, 0, 0, 0.9);
    line-height: 80px;
    font-size: 50px;
    letter-spacing: 2px;
}

#section-2-content-wrap {
    position: absolute;
    width: 100%;
    height: 88.2%;
    margin-top: -33px;
}

#section-2-content {
    display: flex;
    align-items: center;
    width: 100%;
    height: 650px;
    margin: 161px 0 141px;
}

#section-2 aside {
    width: 44%;
    height: 100%;
    margin-left: 6%;
    margin-right: 10%;
}

div#section-2-image {
    width: 100%;
    height: 100%;
    background-image: url(CSS_Images/Section_2/Changing_Images/1.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    border: 1px solid black;
    transition: background-image 2s;
}

#section-2 article {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24%;
    height: 590px;
    margin-right: 10%;;
    border: 1px solid black;
    background-color: white;
}

#section-2 article div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 90%;
    height: 96%;
    overflow: hidden;
}

#section-2 article div p {
    margin: 1px;
    font-size: 20px;
    line-height: 30px;
    word-wrap: break-word;
}


/*Third ("First Arnold Schwarzenegger quote") section styling*/
#section-3 {
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(CSS_Images/Section_3/Section_3_Arnold.jpg) no-repeat center center;
    background-size: cover;
}

#Big-Quote-1 {
    width: 60%;
    height: 70%;
    margin: 10% 20%;
}

#Big-Quote-1 p {
    position: relative;
    color: white;
    font-size: 24px;
    font-weight: bold;
    line-height: 42px;
}

p#Arnold-Author-1 {
    user-select: none;
    text-align: center;
    user-select: none;
    background-color: rgb(255, 255, 255, 0.02);
    color: rgba(255, 255, 255, 0.7);
    font-size: 18px;
    font-weight: normal;
}


/*Fourth ("My aspirations") section styling*/
#section-4 {
    /*background-color: rgb(245, 245, 245);*/
    background: url(CSS_Images/Section_4/Background/2.jpg) no-repeat center center fixed;
    background-size: cover;
}

#section-4 header {
    position: relative;
    top: 40px;
    width: 100%;
    height: 80px;
}

#section-4 h1.section-title {
    width: 100%;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    background-color: rgba(0, 0, 0, 0.9);
    color: white;
    line-height: 80px;
    font-size: 50px;
    letter-spacing: 2px;
}

#section-4-content-wrap {
    display: flex;
    align-items: center;
    width: 100%;
    height: 956px;
}

#section-4-content {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 660px;
    margin: 188px 0 108px;
}

#section-4-content article {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60%;
    height: 100%;
    background-color: rgb(0, 0, 0, 0.4);
}

#section-4-content article div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 70%;
    height: 70%;
    padding: 44px;
    overflow: hidden;
    border: 5px solid rgba(0, 0, 0, 0.1);
    background-color: white;
}

#section-4-content article div p {
    margin: 1px;
    font-size: 20px;
    line-height: 40px;
    word-wrap: break-word;
}


/*Fifth ("Second Arnold Schwarzenegger quote") section styling*/
#section-5 {
    display: flex;
    align-items: center;
    justify-content: center;
    background: url(CSS_Images/Section_5/Section_5_Arnold.jpg) no-repeat center center;
    background-size: cover;
}

#Big-Quote-2 {
    width: 60%;
    height: 70%;
    margin: 10% 20%;
}

#Big-Quote-2 p {
    position: relative;
    color: white;
    font-size: 24px;
    font-weight: bold;
    line-height: 36px;
}

p#Arnold-Author-2 {
    user-select: none;
    text-align: center;
    user-select: none;
    background-color: rgb(255, 255, 255, 0.02);
    color: rgba(255, 255, 255, 0.7);
    font-size: 18px;
    font-weight: normal;
}

/*Sixth ("Find me") section styling*/
#section-6 {
    background: url(CSS_Images/Section_6/Background/5.jpg) no-repeat center center ;
    background-size: cover;
}

#section-6 header {
    position: relative;
    top: 26px;
    width: 100%;
}

#section-6 h1.section-title {
    width: 100%;
    border-top: 2px solid white;
    border-bottom: 2px solid white;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    line-height: 80px;
    font-size: 50px;
    letter-spacing: 2px;
}

#section-6-content-wrap {
    position: absolute;
    width: 100%;
    height: 900px;
}

#section-6-content {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 650px;
    margin: 140px 0;
}

#section-6 article {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 24%;
    height: 590px;
    margin: 0 6%;
    border: 1px solid black;
    background-color: white;
}

#section-6 article div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 91.6%;
    margin-left: 48px;
    height: 96%;
    overflow: hidden;
}

.div1 {
    display: flex;
    justify-content: center;
    margin: 1px;
}

.div1 a {
    font-size: 28px;
    line-height: 250%;
    word-wrap: break-word;
    text-decoration: none;
    color: rgb(216, 0, 183);
    background-color: rgba(216, 0, 183, 0.05);
    transition: color 0.4s, background-color 0.4s;
}

.div1 a:hover {
    color: rgb(0, 158, 195);
    background-color: rgba(136, 227, 248, 0.2);
}


/*Page footer styling */
#page-footer {
    position: absolute;
    bottom: 0;
    background-color: rgba(150, 62, 154, 0.05);
    width: 100%;
    height: 80px;
}

#page-footer p {
    text-align: center;
    color: rgba(255, 255, 255, 0.5);
    line-height: 50px;
    font-size: 17px;
    background-color: rgba(55, 26, 111, 0.1);
}


/*Styles depending on different screen sizes*/

@media only screen and (max-width: 1920px),
@media only screen and (min-width: 1920px) {
    #section-4-content article {
        width: 60%;
    }
}

@media only screen and (max-width: 1600px) {
    #section-6-content {
        display: block;
        width: 100%;
        height: 90%;
        margin: 80px auto;
    }

    #section-6 article {
        width: 60%;
        height: 45%;
        margin: 4% auto;
        border: 1px solid black;
        background-color: white;
    }
    
    #section-4-content article {
        width: 80%;
    }
}

@media only screen and (max-width: 942px) {
    #page-header {
        height: 7%;
    }

    #navigation {
        display: none;
    }
    
    #explore-open {
        display: flex;
    }

    #section-2-content {
        display: flex;
        align-items: center;
    }
    
    #section-2-content aside {
        display: none;
    }
    
    #section-2-content article {
        height: 100%;
        width: 60%;
        margin: 0 20%;
    }
}

@media only screen and (max-width: 820px) {
    #section-6-content {
        display: block;
        width: 100%;
        height: 90%;
        margin: 12% auto;
    }

    #section-6 article {
        width: 80%;
        height: 45%;
        margin: 4% auto;
        border: 1px solid black;
        background-color: white;
    }
    
    #section-4-content article {
        width: 90%;
    }
}

@media only screen and (max-width: 580px) {
    #section-2-content article, #section-4-content article {
        width: 96%;
    }
}

@media only screen and (max-width: 579px) {
    #section-1-title-wrap {
        border: none;
    }
}